<bugID>1001057<Summary>Find out why customize mode transition gets janky after a lengthy session</Summary><Description>When I have a long-running session with many many loaded tabs (maybe 100 or so), the customize mode transition is...so...janky.

We should try to minimize that, if we can.

Hypotheses include:
1) Customize mode causing big CC/GC?
2) Bug 931668?
3) Very full tabstrip with many tabs with labels and favicons is slow to increase  /animate margins on?</Description></bugID>